/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { getHeaders } from "@managed-api/commons-core";
export function constructHeaders(body, manualHeaders) {
    const headers = getHeaders(body, manualHeaders);
    headers.append('X-Atlassian-Token', 'no-check');
    return headers;
}
export async function errorMessageBuilder(response, reason) {
    var _a;
    try {
        const errors = await response.json();
        const errorMessage = (_a = errors) === null || _a === void 0 ? void 0 : _a.message;
        if (errorMessage) {
            return `${reason} - ${errorMessage}`;
        }
    }
    catch { }
    return reason;
}
//# sourceMappingURL=common.js.map