/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { LabelAsResponse } from "../definitions/LabelAsResponse";
import { ContentTemplateBodyAsResponse } from "../definitions/ContentTemplateBodyAsResponse";
import { GenericLinksAsResponse } from "../definitions/GenericLinksAsResponse";
export interface BlueprintTemplateAsResponse {
    templateId: string;
    originalTemplate: {
        pluginKey: string;
        moduleKey: string;
    };
    referencingBlueprint: string;
    name: string;
    description: string;
    space?: {
        [x: string]: any;
    };
    labels: Array<LabelAsResponse>;
    templateType: string;
    editorVersion?: string;
    body?: ContentTemplateBodyAsResponse;
    _expandable?: {
        body?: string;
    };
    _links: GenericLinksAsResponse;
}
//# sourceMappingURL=BlueprintTemplateAsResponse.d.ts.map