/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { EmbeddedContent } from "../definitions/EmbeddedContent";
import { WebResourceDependencies } from "../definitions/WebResourceDependencies";
import { GenericLinks } from "../definitions/GenericLinks";
export interface ContentBody {
    value: string;
    representation: "view" | "export_view" | "styled_view" | "storage" | "editor" | "editor2" | "anonymous_export_view" | "wiki" | "atlas_doc_format" | "raw";
    embeddedContent?: Array<EmbeddedContent>;
    webresource?: WebResourceDependencies;
    mediaToken?: {
        collectionIds?: Array<string>;
        contentId?: string;
        expiryDateTime?: string;
        fileIds?: Array<string>;
        token?: string;
    };
    _expandable?: {
        content?: string;
        embeddedContent?: string;
        webresource?: string;
        mediaToken?: string;
    };
    _links?: GenericLinks;
}
//# sourceMappingURL=ContentBody.d.ts.map