/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { EmbeddedContentAsResponse } from "../definitions/EmbeddedContentAsResponse";
import { WebResourceDependenciesAsResponse } from "../definitions/WebResourceDependenciesAsResponse";
import { GenericLinksAsResponse } from "../definitions/GenericLinksAsResponse";
export interface ContentBodyAsResponse {
    value: string;
    representation: "view" | "export_view" | "styled_view" | "storage" | "editor" | "editor2" | "anonymous_export_view" | "wiki" | "atlas_doc_format" | "raw";
    embeddedContent?: Array<EmbeddedContentAsResponse>;
    webresource?: WebResourceDependenciesAsResponse;
    mediaToken?: {
        collectionIds?: Array<string>;
        contentId?: string;
        expiryDateTime?: string;
        fileIds?: Array<string>;
        token?: string;
    };
    _expandable?: {
        content?: string;
        embeddedContent?: string;
        webresource?: string;
        mediaToken?: string;
    };
    _links?: GenericLinksAsResponse;
}
//# sourceMappingURL=ContentBodyAsResponse.d.ts.map