/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface ContentBodyCreate {
    /**
     * The body of the content in the relevant format.
     */
    value: string;
    /**
  * The content format type. Set the value of this property to
  the name of the format being used, e.g. 'storage'.
  */
    representation: "view" | "export_view" | "styled_view" | "storage" | "editor" | "editor2" | "anonymous_export_view" | "wiki" | "atlas_doc_format" | "plain" | "raw";
    [x: string]: any;
}
//# sourceMappingURL=ContentBodyCreate.d.ts.map