/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface ContentPropertyCreate {
    /**
     * The key of the new property.
     */
    key: string;
    /**
     * The value of the content property. This can be empty or a complex object.
     */
    value: Array<string> | boolean | {
        [x: string]: any;
    } | string;
    [x: string]: any;
}
//# sourceMappingURL=ContentPropertyCreate.d.ts.map