/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { UserArrayAsResponse } from "../definitions/UserArrayAsResponse";
import { GroupArrayAsResponse } from "../definitions/GroupArrayAsResponse";
import { ContentAsResponse } from "../definitions/ContentAsResponse";
import { GenericLinksAsResponse } from "../definitions/GenericLinksAsResponse";
export interface ContentRestrictionAsResponse {
    operation: "administer" | "copy" | "create" | "delete" | "export" | "move" | "purge" | "purge_version" | "read" | "restore" | "update" | "use";
    restrictions?: {
        user?: UserArrayAsResponse;
        group?: GroupArrayAsResponse;
        _expandable?: {
            user?: string;
            group?: string;
        };
    };
    content?: ContentAsResponse;
    _expandable: {
        restrictions?: string;
        content?: string;
    };
    _links: GenericLinksAsResponse;
}
//# sourceMappingURL=ContentRestrictionAsResponse.d.ts.map