/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { GroupAsResponse } from "../definitions/GroupAsResponse";
import { GenericLinksAsResponse } from "../definitions/GenericLinksAsResponse";
export interface GroupArrayWithLinksAsResponse {
    results: Array<GroupAsResponse>;
    start: number;
    limit: number;
    size: number;
    /**
  * This property will return total count of the objects before pagination is applied.
  This value is returned if `shouldReturnTotalSize` is set to `true`.
  */
    totalSize?: number;
    _links: GenericLinksAsResponse;
}
//# sourceMappingURL=GroupArrayWithLinksAsResponse.d.ts.map