/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MessageAsResponse } from "../definitions/MessageAsResponse";
export interface LongTaskStatusAsResponse {
    /**
     * the ARI for the long task, based on its ID
     */
    ari?: string;
    id: string;
    name: {
        key: string;
        args: Array<{}>;
    };
    elapsedTime: number;
    percentageComplete: number;
    successful: boolean;
    finished: boolean;
    messages: Array<MessageAsResponse>;
    status?: string;
    errors?: Array<MessageAsResponse>;
    additionalDetails?: {
        destinationId?: string;
        destinationUrl?: string;
        totalPageNeedToCopy?: number;
        additionalProperties?: string;
    };
}
//# sourceMappingURL=LongTaskStatusAsResponse.d.ts.map