/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MenusLookAndFeel } from "../definitions/MenusLookAndFeel";
import { HeaderLookAndFeel } from "../definitions/HeaderLookAndFeel";
import { HorizontalHeaderLookAndFeel } from "../definitions/HorizontalHeaderLookAndFeel";
import { ContentLookAndFeel } from "../definitions/ContentLookAndFeel";
export interface LookAndFeel {
    headings: {
        color: string;
    };
    links: {
        color: string;
    };
    menus: MenusLookAndFeel;
    header: HeaderLookAndFeel;
    horizontalHeader?: HorizontalHeaderLookAndFeel;
    content: ContentLookAndFeel;
    bordersAndDividers: {
        color: string;
    };
    spaceReference?: any;
}
//# sourceMappingURL=LookAndFeel.d.ts.map