/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { VersionAsResponse } from "../definitions/VersionAsResponse";
import { SpaceAsResponse } from "../definitions/SpaceAsResponse";
import { GenericLinksAsResponse } from "../definitions/GenericLinksAsResponse";
export interface SpacePropertyAsResponse {
    id: string;
    key: string;
    value: Array<string> | boolean | {
        [x: string]: any;
    } | string;
    version?: VersionAsResponse;
    space?: SpaceAsResponse;
    _links?: GenericLinksAsResponse;
    _expandable: {
        version?: string;
        space?: string;
    };
}
//# sourceMappingURL=SpacePropertyAsResponse.d.ts.map