/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { User } from "../definitions/User";
import { GenericLinks } from "../definitions/GenericLinks";
export interface UserArray {
    results: Array<User>;
    start?: number;
    limit?: number;
    size?: number;
    /**
  * This property will return total count of the objects before pagination is applied.
  This value is returned if `shouldReturnTotalSize` is set to `true`.
  */
    totalSize?: number;
    _links?: GenericLinks;
}
//# sourceMappingURL=UserArray.d.ts.map