/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { UserAsResponse } from "../definitions/UserAsResponse";
import { GenericLinksAsResponse } from "../definitions/GenericLinksAsResponse";
export interface UserArrayAsResponse {
    results: Array<UserAsResponse>;
    start?: number;
    limit?: number;
    size?: number;
    /**
  * This property will return total count of the objects before pagination is applied.
  This value is returned if `shouldReturnTotalSize` is set to `true`.
  */
    totalSize?: number;
    _links?: GenericLinksAsResponse;
}
//# sourceMappingURL=UserArrayAsResponse.d.ts.map