/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface VersionRestore {
    /**
     * Set to 'restore'.
     */
    operationKey: "restore";
    params: {
        /**
         * The version number to be restored.
         */
        versionNumber: number;
        /**
         * Description for the version.
         */
        message: string;
        /**
         * If true, the content title will be the same as the title from the version restored. Defaults to `false`.
         */
        restoreTitle?: boolean;
    };
}
//# sourceMappingURL=VersionRestore.d.ts.map