/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { GenericAccountIdAsResponse } from "../definitions/GenericAccountIdAsResponse";
import { IconAsResponse } from "../definitions/IconAsResponse";
import { OperationCheckResultAsResponse } from "../definitions/OperationCheckResultAsResponse";
import { UserDetailsAsResponse } from "../definitions/UserDetailsAsResponse";
export interface WatchUserAsResponse {
    type: string;
    accountId: GenericAccountIdAsResponse;
    profilePicture: IconAsResponse;
    displayName: string;
    timeZone?: string;
    operations: Array<OperationCheckResultAsResponse>;
    externalCollaborator: boolean;
    isGuest: boolean;
    isExternalCollaborator: boolean;
    details?: UserDetailsAsResponse;
    accountType: string;
    email: string;
    publicName: string;
    personalSpace: any;
}
//# sourceMappingURL=WatchUserAsResponse.d.ts.map