/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SuperBatchWebResourcesAsResponse } from "../definitions/SuperBatchWebResourcesAsResponse";
export interface WebResourceDependenciesAsResponse {
    _expandable?: {
        uris?: string | {
            [x: string]: any;
        };
        [x: string]: any;
    };
    keys?: Array<string>;
    contexts?: Array<string>;
    uris?: {
        all?: Array<string> | string;
        css?: Array<string> | string;
        js?: Array<string> | string;
        _expandable?: {
            css?: Array<string> | string;
            js?: Array<string> | string;
            [x: string]: any;
        };
    };
    tags?: {
        all?: string;
        css?: string;
        data?: string;
        js?: string;
        _expandable?: {
            [x: string]: any;
        };
    };
    superbatch?: SuperBatchWebResourcesAsResponse;
}
//# sourceMappingURL=WebResourceDependenciesAsResponse.d.ts.map