/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { GenericLinks } from "../definitions/GenericLinks";
export interface ContentChildType {
    attachment?: {
        value: boolean;
        _links: GenericLinks;
    };
    comment?: {
        value: boolean;
        _links: GenericLinks;
    };
    page?: {
        value: boolean;
        _links: GenericLinks;
    };
    _expandable?: {
        all?: string;
        attachment?: string;
        comment?: string;
        page?: string;
        whiteboard?: string;
        database?: string;
        embed?: string;
        folder?: string;
    };
    [x: string]: any;
}
//# sourceMappingURL=ContentChildType.d.ts.map