/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { GenericLinksAsResponse } from "../definitions/GenericLinksAsResponse";
export interface ContentChildTypeAsResponse {
    attachment?: {
        value: boolean;
        _links: GenericLinksAsResponse;
    };
    comment?: {
        value: boolean;
        _links: GenericLinksAsResponse;
    };
    page?: {
        value: boolean;
        _links: GenericLinksAsResponse;
    };
    _expandable?: {
        all?: string;
        attachment?: string;
        comment?: string;
        page?: string;
        whiteboard?: string;
        database?: string;
        embed?: string;
        folder?: string;
    };
    [x: string]: any;
}
//# sourceMappingURL=ContentChildTypeAsResponse.d.ts.map