/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ContentArray } from "../definitions/ContentArray";
import { GenericLinks } from "../definitions/GenericLinks";
export interface ContentChildren {
    attachment?: ContentArray;
    comment?: ContentArray;
    page?: ContentArray;
    whiteboard?: ContentArray;
    database?: ContentArray;
    embed?: ContentArray;
    folder?: ContentArray;
    _expandable?: {
        attachment?: string;
        comment?: string;
        page?: string;
        whiteboard?: string;
        database?: string;
        embed?: string;
        folder?: string;
        [x: string]: any;
    };
    _links?: GenericLinks;
    [x: string]: any;
}
//# sourceMappingURL=ContentChildren.d.ts.map