/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ContentArrayAsResponse } from "../definitions/ContentArrayAsResponse";
import { GenericLinksAsResponse } from "../definitions/GenericLinksAsResponse";
export interface ContentChildrenAsResponse {
    attachment?: ContentArrayAsResponse;
    comment?: ContentArrayAsResponse;
    page?: ContentArrayAsResponse;
    whiteboard?: ContentArrayAsResponse;
    database?: ContentArrayAsResponse;
    embed?: ContentArrayAsResponse;
    folder?: ContentArrayAsResponse;
    _expandable?: {
        attachment?: string;
        comment?: string;
        page?: string;
        whiteboard?: string;
        database?: string;
        embed?: string;
        folder?: string;
        [x: string]: any;
    };
    _links?: GenericLinksAsResponse;
    [x: string]: any;
}
//# sourceMappingURL=ContentChildrenAsResponse.d.ts.map