/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { UserArray } from "../definitions/UserArray";
import { GroupArray } from "../definitions/GroupArray";
import { Content } from "../definitions/Content";
import { GenericLinks } from "../definitions/GenericLinks";
export interface ContentRestriction {
    operation: "administer" | "copy" | "create" | "delete" | "export" | "move" | "purge" | "purge_version" | "read" | "restore" | "update" | "use";
    restrictions?: {
        user?: UserArray;
        group?: GroupArray;
        _expandable?: {
            user?: string;
            group?: string;
        };
    };
    content?: Content;
    _expandable: {
        restrictions?: string;
        content?: string;
    };
    _links: GenericLinks;
}
//# sourceMappingURL=ContentRestriction.d.ts.map