/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ContentRestrictionUpdate } from "../definitions/ContentRestrictionUpdate";
import { GenericLinks } from "../definitions/GenericLinks";
export declare type ContentRestrictionAddOrUpdateArray = {
    results: Array<ContentRestrictionUpdate>;
    start?: number;
    limit?: number;
    size?: number;
    /**
* This property is used by the UI to figure out whether a set of restrictions
has changed.
*/
    restrictionsHash?: string;
    _links?: GenericLinks;
} | Array<ContentRestrictionUpdate>;
//# sourceMappingURL=ContentRestrictionAddOrUpdateArray.d.ts.map