/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ContentRestrictionAsResponse } from "../definitions/ContentRestrictionAsResponse";
import { GenericLinksAsResponse } from "../definitions/GenericLinksAsResponse";
export interface ContentRestrictionArrayAsResponse {
    results: Array<ContentRestrictionAsResponse>;
    start: number;
    limit: number;
    size: number;
    /**
  * This property is used by the UI to figure out whether a set of restrictions
  has changed.
  */
    restrictionsHash: string;
    _links: GenericLinksAsResponse;
}
//# sourceMappingURL=ContentRestrictionArrayAsResponse.d.ts.map