/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface LongTaskAsResponse {
    /**
     * the ARI for the long task, based on its ID
     */
    ari?: string;
    /**
     * a unique identifier for the long task
     */
    id: string;
    links: {
        /**
         * The URL to retrive status of long task.
         */
        status?: string;
        [x: string]: any;
    };
}
//# sourceMappingURL=LongTaskAsResponse.d.ts.map