/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MenusLookAndFeelAsResponse } from "../definitions/MenusLookAndFeelAsResponse";
import { HeaderLookAndFeelAsResponse } from "../definitions/HeaderLookAndFeelAsResponse";
import { HorizontalHeaderLookAndFeelAsResponse } from "../definitions/HorizontalHeaderLookAndFeelAsResponse";
import { ContentLookAndFeelAsResponse } from "../definitions/ContentLookAndFeelAsResponse";
export interface LookAndFeelAsResponse {
    headings: {
        color: string;
    };
    links: {
        color: string;
    };
    menus: MenusLookAndFeelAsResponse;
    header: HeaderLookAndFeelAsResponse;
    horizontalHeader?: HorizontalHeaderLookAndFeelAsResponse;
    content: ContentLookAndFeelAsResponse;
    bordersAndDividers: {
        color: string;
    };
    spaceReference?: any;
}
//# sourceMappingURL=LookAndFeelAsResponse.d.ts.map