/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface OperationCheckResultAsResponse {
    /**
     * The operation itself.
     */
    operation: "administer" | "archive" | "clear_permissions" | "copy" | "create" | "create_space" | "delete" | "export" | "move" | "purge" | "purge_version" | "read" | "restore" | "restrict_content" | "update" | "use";
    /**
     * The space or content type that the operation applies to. Could be one of- - application - page - blogpost - comment - attachment - space
     */
    targetType: string;
}
//# sourceMappingURL=OperationCheckResultAsResponse.d.ts.map