/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { RelationDataAsResponse } from "../definitions/RelationDataAsResponse";
import { ContentAsResponse } from "../definitions/ContentAsResponse";
import { UserAsResponse } from "../definitions/UserAsResponse";
import { SpaceAsResponse } from "../definitions/SpaceAsResponse";
import { GenericLinksAsResponse } from "../definitions/GenericLinksAsResponse";
export interface RelationAsResponse {
    name: string;
    relationData?: RelationDataAsResponse;
    source?: ContentAsResponse | UserAsResponse | SpaceAsResponse;
    target?: ContentAsResponse | UserAsResponse | SpaceAsResponse;
    _expandable?: {
        relationData?: string;
        source?: string;
        target?: string;
    };
    _links: GenericLinksAsResponse;
}
//# sourceMappingURL=RelationAsResponse.d.ts.map