/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ContentAsResponse } from "../definitions/ContentAsResponse";
import { UserAsResponse } from "../definitions/UserAsResponse";
import { SpaceAsResponse } from "../definitions/SpaceAsResponse";
import { ContainerSummaryAsResponse } from "../definitions/ContainerSummaryAsResponse";
import { BreadcrumbAsResponse } from "../definitions/BreadcrumbAsResponse";
export interface SearchResultAsResponse {
    content?: ContentAsResponse;
    user?: UserAsResponse;
    space?: SpaceAsResponse;
    title: string;
    excerpt: string;
    url: string;
    resultParentContainer?: ContainerSummaryAsResponse;
    resultGlobalContainer?: ContainerSummaryAsResponse;
    breadcrumbs: Array<BreadcrumbAsResponse>;
    entityType: string;
    iconCssClass: string;
    lastModified: string;
    friendlyLastModified?: string;
    score?: number;
}
//# sourceMappingURL=SearchResultAsResponse.d.ts.map