/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SpaceDescriptionCreate } from "../definitions/SpaceDescriptionCreate";
export interface SpaceUpdate {
    /**
     * The updated name of the space.
     */
    name?: string;
    description?: SpaceDescriptionCreate;
    /**
     * The updated homepage for this space
     */
    homepage?: any;
    /**
     * The updated type for this space.
     */
    type?: string;
    /**
     * The updated status for this space.
     */
    status?: string;
    [x: string]: any;
}
//# sourceMappingURL=SpaceUpdate.d.ts.map